#include "hotseatgame/gui/HotSeatGame.h"
#include "ui_HotSeatGame.h"
#include "gui/guiscenemanager.h"

#include <QDebug>

HotSeatGame::HotSeatGame(QWidget *parent) :
    Scene(parent),
    ui(new Ui::HotSeatGame)
{
    qDebug() << "Initialising game";
    ui->setupUi(this);
    setWindowState(Qt::WindowFullScreen);
}

void HotSeatGame::init() {
    GuiSceneManager::getInstance().hideMainWindow();
}


HotSeatGame::~HotSeatGame()
{
    delete ui;
}

void HotSeatGame::on_surrender_button__clicked()
{
    GuiSceneManager::getInstance().showMainWindow();
    GuiSceneManager::getInstance().hideDetachedScene("hotseatgame");
    //GuiSceneManager::getInstance().changeScene("hotseatgame_results");
    GuiSceneManager::getInstance().changeScene("main_menu");
}
